# TaskLists Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/tasklists/

Schema for the `TaskLists` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the task list
- **`name`** _(string)_
  The name of the task list
- **`ticket`** _(object)_
  The ticket the task list is associated with
  - **`id`** _(string)_
    The unique identifier for the ticket
- **`tasks`** _(array<object>)_
  The tasks in the task list
  - **`id`** _(string)_
    The unique identifier for the task
  - **`name`** _(string)_
    The name of the task
- **`created_at`** _(string)_
  The date and time the task list was created
- **`updated_at`** _(string)_
  The date and time the task list was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/task_lists](/docs/api-reference/unified-ticketing-api/tasklists/list) — List Task lists
- [POST /unified/ticketing/task_lists](/docs/api-reference/unified-ticketing-api/tasklists/create) — Create Task lists
- [GET /unified/ticketing/task_lists/{id}](/docs/api-reference/unified-ticketing-api/tasklists/get) — Get Task lists
